import 'package:be_happy/core/result.dart';
import 'package:be_happy/domain/entities/scooter_order.dart';
import '../repositories/scooter_repository.dart';

class PayRideUsecase {
  final ScooterRepository repository;

  PayRideUsecase(this.repository);

  Future<Result<void>> call(int orderId,  int? cardId,
       bool isBalance) {
    return repository.payScooterOrderWithPhotos(orderId: orderId, cardId: cardId, isBalance: isBalance);
  }
}
